From f49fe62e460811a50e92826371479643a334e122 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Wed, 11 Nov 2009 13:08:28 +0100
Subject: [PATCH] Disable Wcast-align for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 mutter-arm-cast-align.patch |   85 +++++++++++++++++++++++++++++++++++++++++++
 mutter.spec                 |    9 ++++-
 2 files changed, 93 insertions(+), 1 deletions(-)
 create mode 100644 mutter-arm-cast-align.patch

diff --git a/mutter-arm-cast-align.patch b/mutter-arm-cast-align.patch
new file mode 100644
index 0000000..28689f0
--- /dev/null
+++ b/mutter-arm-cast-align.patch
@@ -0,0 +1,85 @@
+Only in mutter-2.28.0.backup/: Makefile
+Only in mutter-2.28.0.backup/: config.h
+Only in mutter-2.28.0.backup/: config.log
+Only in mutter-2.28.0.backup/: config.status
+diff -dur mutter-2.28.0.backup/configure mutter-2.28.0/configure
+--- mutter-2.28.0.backup/configure	2009-10-07 23:40:15.000000000 +0200
++++ mutter-2.28.0/configure	2009-11-11 13:00:57.990878396 +0100
+@@ -16574,11 +16574,6 @@
+   esac
+ 
+   case " $CFLAGS " in
+-  *[\ \	]-Wcast-align[\ \	]*) ;;
+-  *) CFLAGS="$CFLAGS -Wcast-align" ;;
+-  esac
+-
+-  case " $CFLAGS " in
+   *[\ \	]-Wsign-compare[\ \	]*) ;;
+   *) CFLAGS="$CFLAGS -Wsign-compare" ;;
+   esac
+diff -dur mutter-2.28.0.backup/configure.in mutter-2.28.0/configure.in
+--- mutter-2.28.0.backup/configure.in	2009-10-07 23:39:15.000000000 +0200
++++ mutter-2.28.0/configure.in	2009-11-11 13:00:45.170872972 +0100
+@@ -101,11 +101,6 @@
+   esac
+ 
+   case " $CFLAGS " in
+-  *[\ \	]-Wcast-align[\ \	]*) ;;
+-  *) CFLAGS="$CFLAGS -Wcast-align" ;;
+-  esac
+-
+-  case " $CFLAGS " in
+   *[\ \	]-Wsign-compare[\ \	]*) ;;
+   *) CFLAGS="$CFLAGS -Wsign-compare" ;;
+   esac
+Only in mutter-2.28.0.backup/doc: Makefile
+Only in mutter-2.28.0.backup/doc/man: Makefile
+Only in mutter-2.28.0.backup/: libtool
+Only in mutter-2.28.0.backup/po: Makefile
+Only in mutter-2.28.0.backup/po: Makefile.in
+Only in mutter-2.28.0.backup/po: POTFILES
+Only in mutter-2.28.0.backup/po: stamp-it
+Only in mutter-2.28.0.backup/src: .deps
+Only in mutter-2.28.0.backup/src: .libs
+Only in mutter-2.28.0.backup/src: Makefile
+Only in mutter-2.28.0.backup/src/compositor/plugins: .deps
+Only in mutter-2.28.0.backup/src/compositor/plugins: .libs
+Only in mutter-2.28.0.backup/src/compositor/plugins: Makefile
+Only in mutter-2.28.0.backup/src/compositor/plugins: default.la
+Only in mutter-2.28.0.backup/src/compositor/plugins: default_la-default.lo
+Only in mutter-2.28.0.backup/src: libmutter-private.la
+Only in mutter-2.28.0.backup/src: libmutter-private.pc
+Only in mutter-2.28.0.backup/src: libmutter_private_la-boxes.lo
+Only in mutter-2.28.0.backup/src: libmutter_private_la-gradient.lo
+Only in mutter-2.28.0.backup/src: libmutter_private_la-preview-widget.lo
+Only in mutter-2.28.0.backup/src: libmutter_private_la-theme-parser.lo
+Only in mutter-2.28.0.backup/src: libmutter_private_la-theme.lo
+Only in mutter-2.28.0.backup/src: libmutter_private_la-util.lo
+Only in mutter-2.28.0.backup/src: mutter-plugins.pc
+Only in mutter-2.28.0.backup/src: stamp-mutter-enum-types.h
+Only in mutter-2.28.0.backup/src: stamp-mutter-marshal.h
+Only in mutter-2.28.0.backup/src/tools: .deps
+Only in mutter-2.28.0.backup/src/tools: .libs
+Only in mutter-2.28.0.backup/src/tools: Makefile
+Only in mutter-2.28.0.backup/src/tools: mutter-grayscale
+Only in mutter-2.28.0.backup/src/tools: mutter-grayscale.o
+Only in mutter-2.28.0.backup/src/tools: mutter-mag
+Only in mutter-2.28.0.backup/src/tools: mutter-mag.o
+Only in mutter-2.28.0.backup/src/tools: mutter-message
+Only in mutter-2.28.0.backup/src/tools: mutter-message.o
+Only in mutter-2.28.0.backup/src/tools: mutter-window-demo
+Only in mutter-2.28.0.backup/src/tools: mutter-window-demo.o
+Only in mutter-2.28.0.backup/src/wm-tester: .deps
+Only in mutter-2.28.0.backup/src/wm-tester: .libs
+Only in mutter-2.28.0.backup/src/wm-tester: Makefile
+Only in mutter-2.28.0.backup/src/wm-tester: focus-window
+Only in mutter-2.28.0.backup/src/wm-tester: focus-window.o
+Only in mutter-2.28.0.backup/src/wm-tester: main.o
+Only in mutter-2.28.0.backup/src/wm-tester: test-gravity
+Only in mutter-2.28.0.backup/src/wm-tester: test-gravity.o
+Only in mutter-2.28.0.backup/src/wm-tester: test-resizing
+Only in mutter-2.28.0.backup/src/wm-tester: test-resizing.o
+Only in mutter-2.28.0.backup/src/wm-tester: test-size-hints
+Only in mutter-2.28.0.backup/src/wm-tester: test-size-hints.o
+Only in mutter-2.28.0.backup/src/wm-tester: wm-tester
+Only in mutter-2.28.0.backup/: stamp-h1
diff --git a/mutter.spec b/mutter.spec
index 812f265..6be4516 100644
--- a/mutter.spec
+++ b/mutter.spec
@@ -1,12 +1,13 @@
 Name:           mutter
 Version:        2.28.0
-Release:        2%{?dist}
+Release:        2%{?dist}.fa1
 Summary:        Window and compositing manager based on Clutter
 
 Group:          User Interface/Desktops
 License:        GPLv2+
 URL:            http://git.gnome.org/cgit/mutter
 Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.27/%{name}-%{version}.tar.bz2
+Patch0:		mutter-arm-cast-align.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires: clutter-devel
@@ -61,6 +62,9 @@ utilities for testing Metacity/Mutter themes.
 
 %prep
 %setup -q
+%ifarch %{arm}
+%patch0 -p1
+%endif
 
 %build
 %configure --with-clutter --disable-static
@@ -147,6 +151,9 @@ gconftool-2 --makefile-install-rule \
 %doc %{_mandir}/man1/mutter-window-demo.1.gz
 
 %changelog
+* Wed Nov 11 2009 Jitesh Shah <jiteshs@marvell.com> - 2.28.0-2.fa1
+- Disable Wcast-align for ARM
+
 * Wed Oct  7 2009 Owen Taylor <otaylor@redhat.com> - 2.28.0-1
 - Update to 2.28.0
 
-- 
1.5.5.6

